Page MenuHomePhabricator

"Module:" on abwiki is in Russian instead of Abkhazian
Closed, ResolvedPublic

Description

I am abwiki administrator and want to change Russian version (Module:) "Модуль:" into Abkhazian "Амодуль:", like — Шаблон/Ашаблон.

In another words for example we have

in English - "Module:" (Module:Navbox)
in Georgian - "მოდული:" (მოდული:Navbox)

but, nowdays "modules" in Russian and Abkhazian wiki starts with same word - "Модуль"

in Russian - (Модуль:Navbox)

and same combination

in Abkhazian - (Модуль:Navbox)

Abkhazian language have his own grammar and all wards starts with "А" (Cyrillic). It means that wikisintacsis of the "Module:" should be like "Амодуль:" not Russian version - "Модуль:". It is same case with "Template:", in Russian we have "Шаблон:" but already have in Abkhazian "Ашаблон:".

Let's change "Модуль:" into "Амодуль:" too.

Sincerely

Event Timeline

Surprizi created this task.Dec 12 2017, 7:33 AM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptDec 12 2017, 7:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Aklapper renamed this task from Module: to "Module:" on abwiki is in Russian instead of Abkhazian.Dec 12 2017, 12:55 PM
stjn added a subscriber: stjn.

Follow-up from https://meta.wikimedia.org/wiki/Tech#Module:

Additionally (from that discussion), the Module talk namespace for Abkhazian should be Амодуль_ахцәажәара.

Change 398019 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/Scribunto@master] Add Abkhazian namespace translation

https://gerrit.wikimedia.org/r/398019

MarcoAurelio triaged this task as Medium priority.Dec 13 2017, 10:04 AM
MarcoAurelio moved this task from working on to ready/patched/deploy on the User-MarcoAurelio board.

Once merged, it'll take up to a week for the translation to display on the wikis.

It will take until January because there are no deployments during Christmas and New Year period.

I though the MediaWiki train wasn't stopped. Nice new pic by the way.

Change 398019 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Add Abkhazian namespace translation

https://gerrit.wikimedia.org/r/398019

MarcoAurelio closed this task as Resolved.Dec 15 2017, 11:24 AM

Translations will start to appear on the week of 2 January 2018 in advance.

Surprizi added a comment.EditedDec 30 2017, 4:26 PM

Good evening! Happy new year!

If there is no late, please instead of «Амодуль» create «Амодул». Because in Abkhazian symbol «ь» is part of digraph and don't write with letter «л».

«Амодул» and «Амодул_ахцәажәара»

Tanks a lot.

Change 401375 had a related patch set (by MarcoAurelio) published:
[mediawiki/extensions/Scribunto@master] Amend Abkhazian namespace translation

https://gerrit.wikimedia.org/r/401375

@Nikerabbit it'd be good if we could have the above patch set merged. Thanks.

MarcoAurelio reopened this task as Open.Jan 1 2018, 11:04 AM

Re-opening until the new patch set is reviewed and merged.

Change 401375 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Amend Abkhazian namespace translation

https://gerrit.wikimedia.org/r/401375

MarcoAurelio closed this task as Resolved.Jan 2 2018, 10:08 AM
MarcoAurelio removed a project: Patch-For-Review.
Surprizi added a comment.EditedThu, Dec 24, 10:18 AM

Hi everyone again!

I want to fix one problem with Abkhazian word "Амодул". Problem is in following, actually symbol "ь" (soft sign) is used with some letters in Abkhazian alphabet (but never with letter "Л"), but there is some exceptions with florigen words and the word "module" (Russian Модуль) according Russian-Abkhazian vocabulary "Амодуль" is correct, but not "Амодул".

Can you change the word "Амодул" into "Амодуль"?

Sorry for inconvenience!

Hi everyone again!

I want to fix one problem with Abkhazian word "Амодул". Problem is in following, actually symbol "ь" (soft sign) is used with some letters in Abkhazian alphabet (but never with letter "Л"), but there is some exceptions with florigen words and the word "module" (Russian Модуль) according Russian-Abkhazian vocabulary "Амодуль" is correct, but not "Амодул".

Can you change the word "Амодул" into "Амодуль"?

Sorry for inconvenience!

Hello @Surprizi - I have created a new task at T270808: Amend Scribunto namespace translations for Abkhazian (ab). This task was closed long ago, and I'm likely not to be able to help this time. Best regards.